﻿@model WebApp.ViewModels.Admin.TripAdminViewModel
@{
    ViewBag.Title = "Edit a trip";
}

<h2>Edit a trip</h2>

@using (Html.BeginForm("EditTrip", "Admin", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Route id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.RouteId, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Train id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.TrainId, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Route id:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.StartDateTime, new { @class = "form-control", type = "datetime" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            @Html.CheckBoxFor(t => t.IsDeleted) Is Deleted
        </div>
    </div>
    @Html.HiddenFor(t => t.Id)
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Update</button>
        </div>
    </div>
}
